pandoc-lua-marshal-0.3.0: Use pandoc types in Lua

Copyright | © 2021-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+pandoc@moltkeplatz.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.Caption

Contents

- Constructor

Description

Marshaling and unmarshaling of `Caption` elements.

Synopsis

- peekCaption :: LuaError e => Peeker e Caption
- peekCaptionFuzzy :: LuaError e => Peeker e Caption
- pushCaption :: LuaError e => Pusher e Caption
- mkCaption :: LuaError e => DocumentedFunction e

# Documentation

peekCaption :: LuaError e => Peeker e Caption #

Peek Caption element from userdata.

peekCaptionFuzzy :: LuaError e => Peeker e Caption #

pushCaption :: LuaError e => Pusher e Caption #

Push Caption element

# Constructor

mkCaption :: LuaError e => DocumentedFunction e #

Constructor for `Caption`.